org.eclnt.jsfserver.util

## Class SubpageContext

- java.lang.Object
- - org.eclnt.jsfserver.util.SubpageContext

-     public class SubpageContext
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SubpageContext.IListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubpageContext(HttpSession session, java.lang.String subpageId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(SubpageContext.IListener listener)`
    `java.lang.Object` | `getAttribute(java.lang.String attribute)`
    `java.util.Enumeration<java.lang.String>` | `getAttributeNames()`
    `static SubpageContext` | `getSubpageContext(HttpSession session, java.lang.String subpageId)` Accesses current subpage context.
    `java.lang.String` | `getSubPageId()`
    `void` | `invalidate()`
    `void` | `invalidate(boolean withClosingSessionIfRequired)`
    `boolean` | `isInvalidated()`
    `static SubpageContext` | `pickOrCreateSubpageContext(HttpSession session, java.lang.String subpageId)` Accesses current subpage context.
    `void` | `removeAttribute(java.lang.String attribute)`
    `void` | `removeListener(SubpageContext.IListener listener)`
    `void` | `setAttribute(java.lang.String attribute, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubpageContext

          public SubpageContext(HttpSession session,
                                java.lang.String subpageId)

  - ### Method Detail

    - #### pickOrCreateSubpageContext

          public static SubpageContext pickOrCreateSubpageContext(HttpSession session,
                                                                  java.lang.String subpageId)

      Accesses current subpage context. If not available then the context is created.

    - #### getSubpageContext

          public static SubpageContext getSubpageContext(HttpSession session,
                                                         java.lang.String subpageId)

      Accesses current subpage context. If not available then null is returned.

    - #### getSubPageId

          public java.lang.String getSubPageId()

    - #### addListener

          public void addListener(SubpageContext.IListener listener)

    - #### removeListener

          public void removeListener(SubpageContext.IListener listener)

    - #### invalidate

          public void invalidate()

    - #### invalidate

          public void invalidate(boolean withClosingSessionIfRequired)

    - #### isInvalidated

          public boolean isInvalidated()

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String attribute)

    - #### setAttribute

          public void setAttribute(java.lang.String attribute,
                                   java.lang.Object value)

    - #### removeAttribute

          public void removeAttribute(java.lang.String attribute)

    - #### getAttributeNames

          public java.util.Enumeration<java.lang.String> getAttributeNames()

Copyright © CaptainCasa Gmbh. All Rights Reserved.